using System;

namespace SharpQuake
{
	internal class cshift_t
	{
		public void Clear()
		{
			this.destcolor[0] = 0;
			this.destcolor[1] = 0;
			this.destcolor[2] = 0;
			this.percent = 0;
		}

		public cshift_t()
		{
			this.destcolor = new int[3];
		}

		public cshift_t(int[] destColor, int percent)
		{
			if (destColor.Length != 3)
			{
				throw new ArgumentException("destColor must have length of 3 elements!");
			}
			this.destcolor = destColor;
			this.percent = percent;
		}

		public int[] destcolor;

		public int percent;
	}
}
